Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles than actually exist

From: Deus Max <[email-masked]>
Date: Tue, 18 Feb 2020 21:56:51 +0200

On Sun, Feb 16 2020, Eric Abrahamsen wrote:

> Deus Max <[email-masked]> writes:
>
>> Recently my gnus started displaying (in the *Group* buffer) some groups
>> (which had previously no unread articles) with an unread "ghost" article
>> but which groups could not be normally entered.
>>
>> Here is a description of what I observed:
>>
>> 1. When pressing <Return>, the cursor simply moves on to the next group
>>    line. The number of unread articles remains unchanged and non-zero.
>> 2. When pressing <c> for `gnus-group-catchup-current', the unread
>>    article number becomes zero and upon <Return>, all read articles are
>>    displayed in the group. Upon exit from the group, upon "g"
>>    gnus-refresh the "ghost" unread article reappears.
>>
>> Luckily, this being nnimap the situation can be recovered by removing
>> the .newsrc files and restarting gnus from scratch. This is not optimal,
>> as all other relevant configurations will be lost, such as group levels,
>> etc.
>>
>> This issue has happened before, it is not the first time.
>
> This definitely happens to many of us from time to time. Unfortunately I
> can't really reproduce the problem, as by the time it appears it's too
> late to figure out where it came from, though I assume it has to do with
> Gnus calculating unread messages from a high-low range, and not being
> aware of "filled in" read messages within that range.
>
You think this is a nnimap or a general Gnus issue ?

Understanding how the newsrc file is written, should be next for me.

Is there any type of tracing, or profiling to turn on, until this
happens again ? Maybe set the gnus and back-end log levels to 10 ?

The primary thing a mail, em..sorry.. news-reader, should be is stable.
Not to have any corruption issues.

> In the meantime, is "M-g" on the problematic group(s) enough to
> permanently fix the problem? Not a great solution, though better than
> doctoring your .newsrc.eld file...

No difference. On testing your suggestion, the "M-g" was ignored as
was/is the regular "g".